POST
/v1/organizations/{organizationId}/data-integration-applicationsCreate a data Integration Application
Create an Organization-owned application or token issuer without OAuth-only fields.
Authentication
Send an API key as a Bearer token in the Authorization header.
Parameters
Request body
Required.
application/jsonobject- unknown properties allowed
false
integrationIdrequiredstringThe Integration this application or token issuer serves.- maximum length
64 - pattern
^integration_[\s\S]+$
- maximum length
keyrequiredstringThe stable key for this application within the Integration.- maximum length
100 - minimum length
1 - pattern
^[a-z][a-z0-9_]*$
- maximum length
displayNamerequiredstringThe human-readable application or token-issuer name.
Responses
201DataIntegrationApplicationCreatedapplication/json400The request path, headers, query, or JSON body did not satisfy the published schema401Unauthorizedapplication/json403Forbiddenapplication/json404NotFoundapplication/json409Conflictapplication/jsonReusable schemas
DataIntegrationApplicationCreatedEncoded
object- unknown properties allowed
false
dataIntegrationApplicationIdrequiredstringThe Organization-owned data Integration Application identifier.- maximum length
64 - pattern
^data_integration_app_[\s\S]+$
- maximum length
organizationIdrequiredstringThe Organization identifier.- maximum length
64 - pattern
^org_[\s\S]+$
- maximum length
integrationIdrequiredstringThe stable Organization-scoped Integration identifier.- maximum length
64 - pattern
^integration_[\s\S]+$
- maximum length
keyrequiredstringThe stable, human-authored Agent Definition key.- maximum length
100 - minimum length
1 - pattern
^[a-z][a-z0-9_]*$
- maximum length
displayNamerequiredstringThe human-readable resource name.statusrequired- DataIntegrationStatusThe current lifecycle status.
generationrequiredintegerThe monotonically increasing Agent Release generation.- greater than
0
- greater than
etagrequiredstringThe strong ETag required for the next conditional mutation.- maximum length
12 - pattern
^"(?:[1-9][0-9]{0,9})"$
- maximum length
createdAtrequiredstringWhen the resource was created, in UTC.- format
date-time
- format
updatedAtrequiredstringWhen the resource was last updated, in UTC.- format
date-time
- format
UnauthorizedEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Unauthorized"
- allowed values
reasonrequiredstringA safe explanation of why the credential was rejected.
ForbiddenEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Forbidden"
- allowed values
permissionrequiredstringThe permission required by the refused operation.
NotFoundEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"NotFound"
- allowed values
resourcerequiredstringThe resource type relevant to the error.idrequiredstringThe identifier supplied for the resource that was not found.
ConflictEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Conflict"
- allowed values
resourcerequiredstringThe resource type relevant to the error.reasonrequiredstringA safe explanation of the state conflict.
DataIntegrationStatus
string- allowed values
"active", "disabled"